Click here to Skip to main content
15,505,986 members
Please Sign up or sign in to vote.
1.00/5 (1 vote)
See more:
Hello everyone,
Now I want to combine C++11 standard with VS2015, because I have some libraries with C++11 standard code, I want to compile them on VS2015. How to do this? Hope you help me solve this problem. Thanks.

What I have tried:

I can not compile with C++11 code on VS2015.
Posted
Updated 2-Apr-19 16:25pm
Comments
Manish K. Agarwal 2-Apr-19 12:18pm    
You don't have to do anything special to enable these features. Please share the error messages. Please refer below table for supported features.

https://docs.microsoft.com/en-us/previous-versions/hh567368(v=vs.140)
Rick York 2-Apr-19 15:16pm    
You might have better success with VS2017.
[no name] 10-Apr-19 11:47am    
1

 
Share this answer
 
Comments
[no name] 10-Apr-19 11:48am    
1
I think Visual Studio 2015 can support C++11 default
 
Share this answer
 
Comments
Volga_ 3-Apr-19 3:09am    
In my library which I downloaded from internet there are functions, for example strcpy(), when I compile I see error: error C4996: 'strcpy': This function or variable may be unsafe. Consider using strcpy_s instead.
And there are many other functions in that library with the same errors when I compile on VS2015. I can not fix them because this is so much! This library was wrotten by C++11 standard code (following as authors of library said).
[no name] 10-Apr-19 11:48am    
1

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)



CodeProject, 20 Bay Street, 11th Floor Toronto, Ontario, Canada M5J 2N8 +1 (416) 849-8900